Class | YARD::Handlers::C::MethodHandler
In: | lib/yard/handlers/c/method_handler.rb
Parent: | YARD::Handlers::C::Base

### Constants

MATCH1 | = | %r{rb_define_ ( singleton_method | method | module_function | private_method ) \s*\(\s*([\w\.]+), \s*"([^"]+)", \s*(?:RUBY_METHOD_FUNC\(|VALUEFUNC\()?(\w+)\)?, \s*(-?\w+)\s*\)}xm
MATCH2 | = | %r{rb_define_global_function\s*\( \s*"([^"]+)", \s*(?:RUBY_METHOD_FUNC\(|VALUEFUNC\()?(\w+)\)?, \s*(-?\w+)\s*\)}xm

[Validate]